#
# mailest/inetc.rb
#
#   Copyright (c) 1999 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#
#   This program is free software.
#   you can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#


module EST


  class POPclient

    def if_loggingin( client )
      @poppednum = 0
      super
      CORE.notice "connecting #{client.address}..."
    end

    def if_loggedin( client )
      CORE.notice "connected to #{client.address}"
      super
    end

    def if_popmail( port )
      super
      @poppednum += 1
      CORE.notice "pop mail \##{@poppednum}"
    end

    def if_loggedout( client )
      super
      CORE.notice "total #{@poppednum} mails popped."
    end
  
  end


  class SMTPclient

    def if_nosendmail
      CORE.notice "no mail to send"
    end

    def if_loggedin( client )
      CORE.notice "connected to #{client.address}"
      @sentnum = 0
      super
    end

    def if_sendmail( mail, idx )
      super
      @sentnum += 1
      CORE.notice "sent mail #{@sentnum}"
    end

    def if_loggedout( client )
      super
      CORE.notice "sent total #{@sentnum} mails"
    end
  
  end


end   # module EST
