#
# refile.rb
#
#   Copyright (c) 1999 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#

require 'est/strategy'

module EST

  class Refiler < Strategy

    RC_DEFAULT = {}

    def refile
      mset = CORE.mailbox
      inbox = mset.inbox
      inbox.each_with_index do |port, idx|
        mail = Mail.new( port )

        @rc['rule'].each do |ent|
          nm, re, to = *ent
          str = if hf = mail[nm] then hf.body
                                 else ''
                                 end
          if re === str then
            if mb = mset[to] then
              mb.moveof inbox, idx
            else
              CORE.warn "target mbox '#{to}' not exist: skip"
            end
            break
          end
        end
      end
    end

  end

end
